#pragma once

#include "CoreMinimal.h"
#include "AISkill_LeaveGenerator_SetGeneratorTrap.h"
#include "UObject/SoftObjectPtr.h"
#include "AISkill_LeaveGenerator_VoidCrystal.generated.h"

class ACollectable;

UCLASS(Blueprintable, EditInlineNew)
class UAISkill_LeaveGenerator_VoidCrystal : public UAISkill_LeaveGenerator_SetGeneratorTrap
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float HighestChanceGeneratorProgress;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float UsageGeneratorProgressInterval;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxBaseUseChance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MinBaseUseChance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float CloseKillerBonus;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float UsageChanceRerollTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<ACollectable> ItemClass;

public:
	UAISkill_LeaveGenerator_VoidCrystal();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_LeaveGenerator_VoidCrystal) { return 0; }
